<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PixelUtil.html">PixelUtil</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::PixelUtil Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a8d05d1cc543c2618b7ec790648d0ccce">bulkPixelConversion</a>(void *src, PixelFormat srcFormat, void *dest, PixelFormat dstFormat, unsigned int count)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a9f6e459a0f92c0c8e6bf4f20ee3a771a">bulkPixelConversion</a>(const PixelBox &amp;src, const PixelBox &amp;dst)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a91159ec54a34fca27ccc7621c9b6d957">getBitDepths</a>(PixelFormat format, int rgba[4])</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a0ede5a1484d8c57a2cdc87eb4f6d7676">getBitMasks</a>(PixelFormat format, uint32 rgba[4])</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#afbd54e9abc204019624bf99bc8cdb3c1">getBitShifts</a>(PixelFormat format, unsigned char rgba[4])</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a32443d01d6399f778fce913ca80b0eee">getBNFExpressionOfPixelFormats</a>(bool accessibleOnly=false)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#ae81ba2514ca7f5a53c84bb515de2ade0">getComponentCount</a>(PixelFormat fmt)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a90ebf73b3830df2e83d529e60fd8c385">getComponentType</a>(PixelFormat fmt)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#ae0c13cd6390b11bc851c9e2ba1201f40">getFlags</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#ae127c3e6145af784e7d2d3734681a75a">getFormatForBitDepths</a>(PixelFormat fmt, ushort integerBits, ushort floatBits)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a601fd16392331e7ddce6bcc455b5729d">getFormatFromName</a>(const String &amp;name, bool accessibleOnly=false, bool caseSensitive=false)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#aec27f7358f77fabc0c9e68ce35b5af69">getFormatName</a>(PixelFormat srcformat)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a9f4754892f46c4d17a16374a0d9aade9">getMemorySize</a>(size_t width, size_t height, size_t depth, PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a1dbc281fe64d9f70b3ce5e6d3011cafb">getNumElemBits</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a1e39ec27d40f044a058e6fef850a1fbe">getNumElemBytes</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a1e15a9f2c0dc1cba158755633574fbc7">hasAlpha</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a2a9e6ac27e4a4cb2d890d322b3f12c8e">isAccessible</a>(PixelFormat srcformat)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#ac4fcce8523b25011939624bfe2572314">isCompressed</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a51407cd07e47f24263942453ee4f93af">isDepth</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a478b8c3bbb3bc516f3a06524fc1d9f4b">isFloatingPoint</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a7e2ff8ebe2e05d6c0dc5ab725b294cf8">isLuminance</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#aa6a3f3c1e6b98b537ce6dfed949afa3c">isNativeEndian</a>(PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#acb83c9058ba34602be4e07e4d7ce1d2d">isValidExtent</a>(size_t width, size_t height, size_t depth, PixelFormat format)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a793a7ae2bb8edec89ab520958ac33f40">packColour</a>(const ColourValue &amp;colour, const PixelFormat pf, void *dest)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#af0658994fbf0337d455ac9aa74ee8084">packColour</a>(const uint8 r, const uint8 g, const uint8 b, const uint8 a, const PixelFormat pf, void *dest)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a29490454e6327a0429d19533880f6e2c">packColour</a>(const float r, const float g, const float b, const float a, const PixelFormat pf, void *dest)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a9b90b16c6c5c8a9fefd42e06a1bd99dc">unpackColour</a>(ColourValue *colour, PixelFormat pf, const void *src)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#a6599a03e4d51ef96f373f47253e2b9e3">unpackColour</a>(uint8 *r, uint8 *g, uint8 *b, uint8 *a, PixelFormat pf, const void *src)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelUtil.html#ae1448ad9a222ed03918f2e94a057612c">unpackColour</a>(float *r, float *g, float *b, float *a, PixelFormat pf, const void *src)</td><td><a class="el" href="classOgre_1_1PixelUtil.html">Ogre::PixelUtil</a></td><td><code> [static]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
